Retrieves all the user_planning_slot
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "94913167-b3fd-4564-a79f-7fdd587d2a0a",
"user_id": "d9a85097-8fa2-47c4-8f0a-a9b44b52936d",
"user_planning_slot_type_id": "df7acbc4-4948-43fc-945a-4c2d60f71318",
"date_from": "2026-03-28T02:38:59.1771196+00:00",
"date_to": "2026-03-28T02:38:59.1771196+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-03-28T02:38:59.1771196+00:00"
}